For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
        • GETList bulk emails
        • POSTInitiate a new bulk email
        • GETFetch a single bulk email object
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Automation & Bulk ActionsBulk ActionsEmail

Initiate a new bulk email

||View as Markdown|
POST
https://api.close.com/api/v1/bulk_action/email/
POST
/api/v1/bulk_action/email/
$curl -X POST https://api.close.com/api/v1/bulk_action/email/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "contact_preference": "lead",
> "results_limit": null,
> "s_query": {
> "queries": [
> {
> "object_type": "lead",
> "type": "object_type"
> },
> {
> "condition": {
> "mode": "full_words",
> "type": "text",
> "value": "ACME Inc."
> },
> "field": {
> "field_name": "name",
> "object_type": "lead",
> "type": "regular_field"
> },
> "type": "field_condition"
> }
> ],
> "type": "and"
> },
> "send_done_email": false,
> "sort": [
> {
> "direction": "desc",
> "field": {
> "field_name": "date_created",
> "object_type": "lead",
> "type": "regular_field"
> }
> }
> ],
> "template_id": "tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn"
>}'
1{
2 "contact_preference": "lead",
3 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
4 "date_created": "2013-12-05T18:34:41.753000+00:00",
5 "date_updated": "2013-12-05T19:33:29.357000+00:00",
6 "email_account_id": "emailacct_qwSIFLEjbJXBJOGb0KsqSvnxX5P9DTXUMnb6mFBLxNt",
7 "id": "bulkemail_qmjJY85TSmMBqw1MKgL5o3LdSJkvklqfAwfdcjiRYCy",
8 "n_leads": null,
9 "n_leads_processed": 0,
10 "n_objects": null,
11 "n_objects_processed": 0,
12 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
13 "query": "lead_status:Potential",
14 "results_limit": null,
15 "s_query": {
16 "queries": [
17 {
18 "object_type": "lead",
19 "type": "object_type"
20 },
21 {
22 "condition": {
23 "mode": "full_words",
24 "type": "text",
25 "value": "ACME Inc."
26 },
27 "field": {
28 "field_name": "name",
29 "object_type": "lead",
30 "type": "regular_field"
31 },
32 "type": "field_condition"
33 }
34 ],
35 "type": "and"
36 },
37 "send_done_email": false,
38 "sender": "sender@example.com",
39 "sort": [
40 {
41 "direction": "desc",
42 "field": {
43 "field_name": "date_created",
44 "object_type": "lead",
45 "type": "regular_field"
46 }
47 }
48 ],
49 "status": "created",
50 "template_id": "tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn",
51 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
52}

contact_preference can be set to lead (only email the primary/first contact email of the lead) or contact (email the first contact email of each contact of the lead).

Was this page helpful?
Previous

List bulk emails

Next

Fetch a single bulk email object

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects any.

Response

Successful response
contact_preferenceenum or null
Allowed values:
created_bystring or null
date_createddatetime or null
date_updateddatetime or null
email_account_idstring or null
idstring
n_leadsinteger or null
n_leads_processedinteger
n_objectsinteger or null
n_objects_processedinteger
organization_idstring
querystring or null
results_limitinteger or null
s_querymap from strings to any
send_done_emailboolean
senderstring or null
sortlist of maps from strings to any
statusenum or null
template_idstring or null
updated_bystring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error